Bug 492063 - An update of firefox to version xxx does not remove the old directory /usr/lib/firefox-<previous>
An update of firefox to version xxx does not remove the old directory /usr/li...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 04:47 EDT by Joachim Backes
Modified: 2009-12-18 04:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:06:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2009-03-25 04:47:54 EDT
Description of problem:
I find a lot of dirs in /usr/lib:
/usr/lib/firefox-2.0.0.10  /usr/lib/firefox-2.0.0.3  /usr/lib/firefox-2.0.0.9
/usr/lib/firefox-2.0.0.12  /usr/lib/firefox-2.0.0.4  /usr/lib/firefox-3.0.1
/usr/lib/firefox-2.0.0.13  /usr/lib/firefox-2.0.0.5  /usr/lib/firefox-3.0.5
/usr/lib/firefox-2.0.0.14  /usr/lib/firefox-2.0.0.8 

rpm -qf /usr/lib/firefox-... shows that they are not belonging to some RPM package, so I guess a firefox update does not remove the previous version. I think this comes from a running firefox during "yum update" is called. Similar happens with /usr/lib/thunderbird-...

Version-Release number of selected component (if applicable):
3.0.7 and lower

How reproducible:
Seems to happen after each firefox update during a running firefox.

Steps to Reproduce:
1.Update firefox during firefox is running
2.
3.
  
Actual results:
/usr/lib/firefox-<previous version> remains.

Expected results:
/usr/lib/firefox-<previous version>  has been removed.

Additional info:
Comment 1 Christopher Aillon 2009-03-25 12:28:10 EDT
The important thing to know is what's inside the directories that are left behind
Comment 2 Joachim Backes 2009-03-26 02:12:15 EDT
For example /usr/lib/firefox-3.0.1

ls -laR firefox-3.0.1
firefox-3.0.1:
total 148
drwxr-xr-x   3 root root   4096 2008-09-28 10:49 .
drwxr-xr-x 241 root root 139264 2009-03-18 08:35 ..
drwxr-xr-x   3 root root   4096 2008-09-25 08:54 updates

firefox-3.0.1/updates:
total 12
drwxr-xr-x 3 root root 4096 2008-09-25 08:54 .
drwxr-xr-x 3 root root 4096 2008-09-28 10:49 ..
drwxr-xr-x 2 root root 4096 2008-09-25 08:54 0

firefox-3.0.1/updates/0:
total 8
drwxr-xr-x 2 root root 4096 2008-09-25 08:54 .
drwxr-xr-x 3 root root 4096 2008-09-25 08:54 ..
Comment 3 Joachim Backes 2009-03-28 10:35:25 EDT
The effect of remaining old firefox /usr/lib/firefox-... directories is independent from a running firefox during update. I could see this when updating from firefox-3.0.7 to firefox-3.0.8 without firefox running.
Comment 4 Martin Stransky 2009-03-31 10:08:22 EDT
It may be a discussion about firefox installation dir.

It looks pointless to change firefox dir for each upgrade when xulrunner install dir remains stable (xulrunner-1.9).
Comment 5 Bruno Medeiros 2009-06-26 11:04:35 EDT
I think this could be related to the same problem that causes other errors like some applications don't opening links anymore. My pidgin is a example, when i click on a link, nothing happens. I tried to discover why and verified that it's because it references an old firefox installation directories.

Is anyone also experiencing this?
Comment 6 Bug Zapper 2009-11-18 07:47:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 04:06:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.